# pyNS 🌲
![Python package](https://github.com/neuroscout/pyNS/workflows/Python%20package/badge.svg)
[![codecov](https://codecov.io/gh/neuroscout/pyns/branch/master/graph/badge.svg)](https://codecov.io/gh/neuroscout/pyns)
[![docs](https://readthedocs.org/projects/pyns/badge/?version=latest)](https://pyns.readthedocs.io/en/latest/)

**pyNS** is a python library to easily interact with the Neuroscout API.

**pyNS** enables advanced used cases not supported by the [neuroscout.org](https://neuroscout.org>)
web-based analysis builder, such as batch-creation of analyses, meta-analytic applications, as well as supporting the operations of the [neuroscout-cli](github.com/neuroscout/neuroscout-cli/)

### Installation
Use `pip` to install it:

    pip install pyns

## Documentation 📚
Full documentation can be found at [readthedocs](https://pyns.readthedocs.io/en/latest/).

For API docs, check out the [Swagger API UI](https://neuroscout.org/api/swagger/).

For a tutorial see this [jupyter notebook example](./examples/Tutorial.ipynb).  
You can also follow the Neuroscout Paper's analyses in this interactive [jupyter book](https://neuroscout.github.io/neuroscout-paper/intro.html).

### Testing
We use pytest for testing, and betamax to record HTTP requests used in tests.  
To re-run tests locally set the`USER_TEST_EMAIL` and `USER_TEST_PWD` environment variables with valid API credentials.
